using SilverlightApplication1;
using System.Windows.Controls;

namespace WpfBrowserApplication1
{
	/// <summary>
	/// Interaction logic for Page1.xaml
	/// </summary>
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();

			DataContext = new MyDataContext();
		}

		private void RadGridView1_DistinctValuesLoading(object sender, Telerik.Windows.Controls.GridView.GridViewDistinctValuesLoadingEventArgs e)
		{
			//var client = ((MyDataContext) DataContext).Client;
			//var collection = new RadObservableCollection<object>();

			//e.ItemsSource = collection;

			//collection.Clear();
			//collection.AddRange(client.GetDistinctValues(e.Column.UniqueName));
		}
	}
}
